### Function

# Ggit DiffBinaryCallback

#### Declaration

    gint
    (* GgitDiffBinaryCallback) (
      GgitDiffDelta* delta,
      GgitDiffBinary* binary,
      gpointer user_data
    )

#### Description [src]

Called for each file.

#### Parameters

`delta`

  Type: `GgitDiffDelta`

  A `GgitDiffDelta`.

  The data is owned by the caller of the function.

`binary`

  Type: `GgitDiffBinary`

  A `GgitDiffBinary`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go continue or a `GgitError` in case there was an error.